NNG_CTX_CLOSE(3)

NAME
nng_ctx_close - close context

SYNOPSIS

    #include <nng/nng.h>

    int nng_ctx_close(nng_ctx ctx);

DESCRIPTION

The nng_ctx_close() function closes the context ctx. Messages that have been submitted for sending may be flushed or delivered, depending upon the transport.

Further attempts to use the context after this call returns will result in NNG_ECLOSED. Threads waiting for operations on the context when this call is executed may also return with an NNG_ECLOSED result.

    Note

    Closing the socket associated with ctx (using nng_close()) also closes this context.

RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

ERRORS

NNG_ECLOSED
    The context ctx is already closed or was never opened.

SEE ALSO

nng_ctx_open(3), nng_strerror(3), nng_ctx(5), nng(7)